# -*- encoding: utf-8 -*-
# stub: google-cloud-debugger-v2 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-debugger-v2".freeze
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Google LLC".freeze]
  s.date = "2023-02-24"
  s.description = "The Cloud Debugger API allows applications to interact with the Google Cloud Debugger backends. It provides two interfaces: the Debugger interface and the Controller interface. The Controller interface allows you to implement an agent that sends state data -- for example, the value of program variables and the call stack -- to Cloud Debugger when the application is running. The Debugger interface allows you to implement a Cloud Debugger client that allows users to set and delete the breakpoints at which the state data is collected, as well as read the data that is captured. Note that google-cloud-debugger-v2 is a version-specific client library. For most uses, we recommend installing the main client library google-cloud-debugger instead. See the readme for more details.".freeze
  s.email = "googleapis-packages@google.com".freeze
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "LICENSE.md".freeze, "README.md".freeze, "lib/google-cloud-debugger-v2.rb".freeze, "lib/google/cloud/debugger/v2.rb".freeze, "lib/google/cloud/debugger/v2/controller.rb".freeze, "lib/google/cloud/debugger/v2/controller/client.rb".freeze, "lib/google/cloud/debugger/v2/controller/credentials.rb".freeze, "lib/google/cloud/debugger/v2/debugger.rb".freeze, "lib/google/cloud/debugger/v2/debugger/client.rb".freeze, "lib/google/cloud/debugger/v2/debugger/credentials.rb".freeze, "lib/google/cloud/debugger/v2/version.rb".freeze, "lib/google/devtools/clouddebugger/v2/controller_pb.rb".freeze, "lib/google/devtools/clouddebugger/v2/controller_services_pb.rb".freeze, "lib/google/devtools/clouddebugger/v2/data_pb.rb".freeze, "lib/google/devtools/clouddebugger/v2/debugger_pb.rb".freeze, "lib/google/devtools/clouddebugger/v2/debugger_services_pb.rb".freeze, "lib/google/devtools/source/v1/source_context_pb.rb".freeze, "proto_docs/README.md".freeze, "proto_docs/google/api/field_behavior.rb".freeze, "proto_docs/google/api/resource.rb".freeze, "proto_docs/google/devtools/clouddebugger/v2/controller.rb".freeze, "proto_docs/google/devtools/clouddebugger/v2/data.rb".freeze, "proto_docs/google/devtools/clouddebugger/v2/debugger.rb".freeze, "proto_docs/google/devtools/source/v1/source_context.rb".freeze, "proto_docs/google/protobuf/empty.rb".freeze, "proto_docs/google/protobuf/timestamp.rb".freeze, "proto_docs/google/protobuf/wrappers.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "API Client library for the Cloud Debugger V2 API".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_runtime_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
  else
    s.add_dependency(%q<gapic-common>.freeze, ["~> 0.4"])
    s.add_dependency(%q<google-cloud-errors>.freeze, ["~> 1.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.14"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<rake>.freeze, [">= 12.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.18"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
  end
end
